slepc-3.21.1 2024-04-26
Report Typos and Errors

# STIsInjective

Ask if this spectral transformation is injective or not (that is, if it corresponds to a one-to-one mapping). If not, then it does not make sense to call STBackTransform().

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STIsInjective(ST st,PetscBool* is)

Not Collective

### Input Parameter

| st | - the spectral transformation context

### Output Parameter

| is | - the answer

### See Also

STBackTransform()

### Level

developer

### Location

src/sys/classes/st/interface/stsolve.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages